Bug 104153 - DefinePage.java throws away information from a POST.
Summary: DefinePage.java throws away information from a POST.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: ui   
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Archit Shah
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 99105
TreeView+ depends on / blocked
 
Reported: 2003-09-10 15:28 UTC by Randy Graebner
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-24 00:20:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Randy Graebner 2003-09-10 15:28:51 UTC
Description of problem:
DefinePage.java throws away information from a POST.

The patch is below but without it using bebop jsp with a POST causes no
information to be submitted.

[randyg@graebner intragroupe]$ diff -u
intragroupe/src/com/arsdigita/bebop/jsp/DefinePage.java
core-platform/src/com/arsdigita/bebop/jsp/DefinePage.java
--- intragroupe/src/com/arsdigita/bebop/jsp/DefinePage.java	Wed Sep 10 11:16:56 2003
+++ core-platform/src/com/arsdigita/bebop/jsp/DefinePage.java	Wed Sep 10
11:17:41 2003
@@ -175,12 +175,6 @@
 	      HttpServletResponse resp =
 		(HttpServletResponse)pageContext.getResponse();
 
-          String rct = null;
-          if (req.getMethod().toUpperCase().equals("POST")
-              && ((rct = req.getContentType()) != null)
-              && (rct.toLowerCase().startsWith("multipart"))) {
-              req = DispatcherHelper.restoreRequestWrapper(req);
-          }
 	      Document doc;
 	      PageState state;


Version-Release number of selected component (if applicable):
6.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2003-09-10 15:39:04 UTC
NB, now we've moved to Servlet 2.3 for Rickshaw we should make
MultipartHttpServletRequest subclass HttpServletRequestWrapper. This will let us
forward onto other servlets without having to first unwrap our requests. Thus a
whole heap of dodgy code in DispatcherHelper, BaseDispatcherServlet, etc will go
away.

From API docs for RequestDispatcher#forward 

<quote>
The request and response parameters must be either the same objects as were
passed to the calling servlet's service method or be subclasses of the
ServletRequestWrapper or ServletResponseWrapper classes that wrap them.
</quote>


Comment 2 Archit Shah 2003-10-16 20:37:10 UTC
this patch has been integrated onto 6.0 branch (@37048) and trunk (@37047).
Dan's suggestion has not yet been implemented, so this bug is moving to the
Rickshaw tracker ticket from the troika errata tracker.

Comment 3 Archit Shah 2004-01-24 00:20:36 UTC
appplied to 5.2.x before 5.2.2 release (@39082)


Note You need to log in before you can comment on or make changes to this bug.